Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbrain.qlink
Class QServer

    java.lang.Object
      |
      +--org.jbrain.qlink.QServer

public class QServer
extends java.lang.Object

Field Summary
`static java.lang.String` | `MESSAGE_NORMAL`
`static java.lang.String` | `MESSAGE_SYSTEM`

Constructor Summary
`QServer(QConnection link)`

Method Summary
`boolean` | `canReceiveOLMs(org.jbrain.qlink.user.QHandle handle)`
`void` | `enableOLMs(boolean state)`
`int` | `getAccountID()`
`org.jbrain.qlink.user.QHandle` | `getHandle()`
`int` | `getNextID(int start, int type, int max)`
`java.lang.String[]` | `getOLM(java.lang.String id)`
`java.util.Date` | `getStartTime()`
`QState` | `getState()`
`int` | `getUserID()`
`boolean` | `isPrimaryAccount()`
`boolean` | `isStaff()`
`boolean` | `isUserOnline(org.jbrain.qlink.user.QHandle handle)`
`static boolean` | `killSession(org.jbrain.qlink.user.QHandle handle)`
`void` | `resume()`
`void` | `send(Action a)`
`void` | `send(Action[] actions)`
`void` | `sendOLM(boolean bType, java.lang.String[] olm)`
`void` | `sendOLM(org.jbrain.qlink.user.QHandle handle, java.lang.String[] olm)`
`static void` | `sendSYSOLM(java.lang.String msg)`
`boolean` | `sendToUser(org.jbrain.qlink.user.QHandle handle, Action a)`
`void` | `setAccountInfo(int userID, int accountID, boolean bPrimaryInd, org.jbrain.qlink.user.QHandle handle, boolean bStaff)`
`void` | `setPrimaryAccount(boolean b)`
`void` | `setState(QState state)`
`void` | `suspend()`
`void` | `terminate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MESSAGE_SYSTEM

    public static final java.lang.String MESSAGE_SYSTEM

See Also:
  Constant Field Values

### MESSAGE_NORMAL

    public static final java.lang.String MESSAGE_NORMAL

See Also:
  Constant Field Values

Constructor Detail

### QServer

    public QServer(QConnection link)

Method Detail

### send

    public void send(Action a)
              throws java.io.IOException

    `java.io.IOException`

### setState

    public void setState(QState state)

### getHandle

    public org.jbrain.qlink.user.QHandle getHandle()

  Returns:

### getAccountID

    public int getAccountID()

### getUserID

    public int getUserID()

### send

    public void send(Action[] actions)
              throws java.io.IOException

    `java.io.IOException`

### getState

    public QState getState()

  Returns:

### terminate

    public void terminate()

### getStartTime

    public java.util.Date getStartTime()

  Returns:

### getNextID

    public int getNextID(int start,
                         int type,
                         int max)

### sendToUser

    public boolean sendToUser(org.jbrain.qlink.user.QHandle handle,
                              Action a)

### isUserOnline

    public boolean isUserOnline(org.jbrain.qlink.user.QHandle handle)

  Returns:

### sendOLM

    public void sendOLM(org.jbrain.qlink.user.QHandle handle,
                        java.lang.String[] olm)

### sendOLM

    public void sendOLM(boolean bType,
                        java.lang.String[] olm)

  Parameters:
    `olm` -

### getOLM

    public java.lang.String[] getOLM(java.lang.String id)

### enableOLMs

    public void enableOLMs(boolean state)

### canReceiveOLMs

    public boolean canReceiveOLMs(org.jbrain.qlink.user.QHandle handle)

### suspend

    public void suspend()

### resume

    public void resume()

### sendSYSOLM

    public static void sendSYSOLM(java.lang.String msg)

  Parameters:
    `msg` -

### killSession

    public static boolean killSession(org.jbrain.qlink.user.QHandle handle)

### isPrimaryAccount

    public boolean isPrimaryAccount()

  Returns:

### setPrimaryAccount

    public void setPrimaryAccount(boolean b)

  Parameters:
    `b` -

### setAccountInfo

    public void setAccountInfo(int userID,
                               int accountID,
                               boolean bPrimaryInd,
                               org.jbrain.qlink.user.QHandle handle,
                               boolean bStaff)

  Parameters:
    `userID` -
    `accountID` -
    `handle` -

### isStaff

    public boolean isStaff()

  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD